Index: trunk/LMDZ.TITAN/libf/muphytitan/string_op.F90
===================================================================
--- trunk/LMDZ.TITAN/libf/muphytitan/string_op.F90	(revision 3082)
+++ trunk/LMDZ.TITAN/libf/muphytitan/string_op.F90	(revision 3083)
@@ -1278,10 +1266,10 @@
       output = str ; RETURN
     ENDIF
-    ! check if can just return the string as is 
+    ! check if can just return the string as is
     IF (zmx + l1 <= zw) THEN
       output=output//TRIM(zs) ; RETURN
     ENDIF
-    j=1 ; jj=1+l1 
-    DO 
+    j=1 ; jj=1+l1
+    DO
       ! Gets next blank in input string
       cc = INDEX(TRIM(zs(j:)),CHAR(32))
@@ -1290,5 +1278,5 @@
       ! this value will be substracted to each length test
       IF (cc == 0) THEN
-        l = csis_length(zs(j:)) 
+        l = csis_length(zs(j:))
         IF (jj-1+LEN_TRIM(zs(j:))-l > zw) THEN
           output = output//idts
@@ -1297,5 +1285,5 @@
         EXIT ! we are at the last word : we must exit the infinite loop !
       ELSE
-        l = csis_length(zs(j:j+cc-1)) 
+        l = csis_length(zs(j:j+cc-1))
         IF (cc+jj-1-l > zw) THEN
           output=output//idts//zs(j:j+cc-1) ; jj = lo+1+cc+1 - l
@@ -1315,11 +1303,11 @@
       INTEGER :: jc,iesc,im
       LOGICAL :: tcsi
-      value = 0 
+      value = 0
       jc=1
-      DO 
+      DO
         IF (jc>LEN(str)) EXIT
         ! search for escape
         iesc = INDEX(str(jc:),CHAR(27))
-        IF (iesc == 0) EXIT 
+        IF (iesc == 0) EXIT
         ! search for m
         im = INDEX(str(jc+iesc:),"m")
@@ -1328,5 +1316,5 @@
         ! check if this is really a csi and updates length
         tcsi = is_csi(str(jc+iesc-1:jc+iesc+im-1))
-        jc = jc + iesc 
+        jc = jc + iesc
         IF (tcsi) THEN
           value=value+im+1
@@ -1340,14 +1328,14 @@
     !! Replace newline escape sequences by spaces
     !!
-    !! The function replaces newline (both '\\n' escape sequence and Fortran NEW_LINE() character) in the 
+    !! The function replaces newline (both '\\n' escape sequence and Fortran NEW_LINE() character) in the
     !! given string and returns the resulting string.
     CHARACTER(len=*), INTENT(in)           :: str !! A string to process
     CHARACTER(len=1), INTENT(in), OPTIONAL :: rpl !! A optional single character used as substitution of escape sequences (blank space by default)
-    CHARACTER(len=:), ALLOCATABLE :: stripped     !! An allocatable string with all newline sequences replaced by blank space or __rpl__ if given 
+    CHARACTER(len=:), ALLOCATABLE :: stripped     !! An allocatable string with all newline sequences replaced by blank space or __rpl__ if given
     CHARACTER(len=1) :: zrp
-    INTEGER          :: i, j, ns 
+    INTEGER          :: i, j, ns
     zrp = CHAR(32) ; IF(PRESENT(rpl)) zrp = rpl
     IF (str == NEW_LINE('A')) THEN
-      stripped = zrp ; RETURN 
+      stripped = zrp ; RETURN
     ENDIF
     ns = LEN_TRIM(str)
@@ -1357,15 +1345,15 @@
     ALLOCATE(CHARACTER(len=ns) :: stripped) ; stripped(1:ns) = CHAR(32)
     i=1 ; j=1
-    DO 
+    DO
       IF (str(i:i) == NEW_LINE('A')) THEN
-        stripped(j:j) = zrp 
+        stripped(j:j) = zrp
       ELSE IF (i < ns) THEN
           IF (str(i:i+1) == "\n") THEN
             stripped(j:j) = zrp ; i=i+1
           ELSE
-            stripped(j:j) = str(i:i) 
+            stripped(j:j) = str(i:i)
           ENDIF
       ELSE
-        stripped(j:j) = str(i:i) 
+        stripped(j:j) = str(i:i)
       ENDIF
       j=j+1 ; i=i+1
@@ -1378,5 +1366,5 @@
   FUNCTION str_length(str) RESULT(res)
     !! Get the length of the string object
-    !! 
+    !!
     !! The method computes the length of the string. It differs from LEN intrinsic function as
     !! it does not account for extra-characters of csi codes.
@@ -1384,5 +1372,5 @@
     INTEGER :: res                      !! The actual length of string (i.e. does not account for csi codes)
     CHARACTER(len=:), ALLOCATABLE :: tmp
-    res = 0 
+    res = 0
     IF (LEN(str) /= 0) THEN
       tmp = reset_csi(str)
@@ -1421,5 +1409,5 @@
     INTEGER :: j,i,ic,icsi,lcsi
     IF (LEN(str1) > 0) THEN
-      str = str1 
+      str = str1
       i = 1
       DO
@@ -1442,5 +1430,5 @@
             IF (ic >= 97 .AND. ic < 122) str(j:j) = char(ic-32)
           ENDDO
-          i = i + icsi + lcsi-1 
+          i = i + icsi + lcsi-1
         ENDIF
       ENDDO
@@ -1451,7 +1439,7 @@
 
  FUNCTION str_remove(string,substring,back,all) RESULT(str)
-   !! Remove substring from current string 
-   !! 
-   !! The function removes the first occurence of __substring__ in __string__ or all 
+   !! Remove substring from current string
+   !!
+   !! The function removes the first occurence of __substring__ in __string__ or all
    !! its occurences if __all__ is explicitly set to .true..
     CHARACTER(len=*), INTENT(in)  :: string    !! A string to search in
@@ -1469,6 +1457,6 @@
     zboff = 0 ; IF (zb) zboff = 1
     IF (LEN(string) == 0) RETURN
-    j=1 
-    DO 
+    j=1
+    DO
       IF (j>LEN(string)) EXIT
       ! search for substring
@@ -1476,5 +1464,5 @@
       IF (is == 0) THEN
         ! substring is not found : we get the last part of the string and return
-        str = str//string(j:) ; RETURN 
+        str = str//string(j:) ; RETURN
       ELSE IF (is == 1) THEN
         j = j + LEN(substring)
@@ -1486,14 +1474,14 @@
       ! if we only want to str_remove ONE occurence we exit if substring
       ! has been found
-      IF (.NOT.(is==0.OR.za)) EXIT 
+      IF (.NOT.(is==0.OR.za)) EXIT
     ENDDO
     IF (j <= LEN(string).AND..NOT.zb) str=str//string(j:)
-    RETURN 
+    RETURN
   END FUNCTION str_remove
 
  FUNCTION str_replace(string,old,new,back,all) RESULT(str)
-    !! Replace substring from current string 
-    !!
-    !! The function replaces the first occurence of __old__ in __string__ by 
+    !! Replace substring from current string
+    !!
+    !! The function replaces the first occurence of __old__ in __string__ by
     !! __new__ or all its occurence(s) if __all__ is explicitly set to .true..
     CHARACTER(len=*), INTENT(in)  :: string  !! A string to search in
@@ -1510,7 +1498,7 @@
     IF (PRESENT(all)) za = all
     IF (za) zb = .NOT.za
-    IF (LEN(string) == 0) RETURN 
-    j=1 
-    DO 
+    IF (LEN(string) == 0) RETURN
+    j=1
+    DO
       IF (j>LEN(string)) EXIT
       ! search for "old"
@@ -1518,5 +1506,5 @@
       IF (is == 0) THEN
         ! "old" is not found : we get the last part of the string and return
-        str = str//string(j:) ; RETURN 
+        str = str//string(j:) ; RETURN
       ELSE IF (is == 1) THEN
         str = str//new
@@ -1525,25 +1513,25 @@
         ! "old" is not at the begin of the string : saves the string
         str = str//string(j:j+is-2)//new
-        j = j + is + LEN(old) - 1 
+        j = j + is + LEN(old) - 1
       ENDIF
-      IF (.NOT.(is==0.OR.za)) EXIT 
+      IF (.NOT.(is==0.OR.za)) EXIT
     ENDDO
     IF (j <= LEN(str)) str=str//string(j:)
-    RETURN 
+    RETURN
   END FUNCTION str_replace
 
   FUNCTION endswith(string,substring,icase) RESULT(ret)
-    !! Check if string ends by substring 
+    !! Check if string ends by substring
     CHARACTER(len=*), INTENT(in)  :: string
       !! @param[in] string A string to check
     CHARACTER(len=*), INTENT(in)  :: substring
       !! A string to search in __string__
-    LOGICAL, INTENT(in), OPTIONAL :: icase 
+    LOGICAL, INTENT(in), OPTIONAL :: icase
       !! An optional boolean flag with .true. to perform insensitive case search
     LOGICAL :: ret
       !! .true. if __string__ ends by __substring__, .false. otherwise.
     CHARACTER(len=:), ALLOCATABLE :: zthis,zstr
-    INTEGER                       :: idx 
-    LOGICAL                       :: noc 
+    INTEGER                       :: idx
+    LOGICAL                       :: noc
     ret = .false.
     noc = .false. ; IF (PRESENT(icase)) noc = icase
@@ -1560,16 +1548,16 @@
 
   FUNCTION startswith(string,substring,icase) RESULT(ret)
-    !! Check if string starts by substring 
+    !! Check if string starts by substring
     CHARACTER(len=*), INTENT(in)  :: string
       !! A string to check
     CHARACTER(len=*), INTENT(in)  :: substring
       !! A string to search in __string__
-    LOGICAL, INTENT(in), OPTIONAL :: icase 
+    LOGICAL, INTENT(in), OPTIONAL :: icase
       !! An optional boolean flag with .true. to perform insensitive case search
     LOGICAL :: ret
       !! .true. if __string__ starts by __substring__, .false. otherwise.
     CHARACTER(len=:), ALLOCATABLE :: zthis,zstr
-    INTEGER                       :: idx 
-    LOGICAL                       :: noc 
+    INTEGER                       :: idx
+    LOGICAL                       :: noc
     ret = .false.
     noc = .false. ; IF (PRESENT(icase)) noc = icase
@@ -1585,5 +1573,5 @@
   END FUNCTION startswith
 
-  ! CSI related functions 
+  ! CSI related functions
   ! ---------------------
 
@@ -1594,5 +1582,5 @@
     !! returns a copy of it.
     CHARACTER(len=*), INTENT(in)      :: string
-      !! @param[in] string A string object reference 
+      !! @param[in] string A string object reference
     INTEGER, INTENT(in), DIMENSION(:) :: attrs
       !! A vector of integers with the code to add. Each __attrs__ value should refers to one i
@@ -1613,11 +1601,11 @@
       tmp = string
     ENDIF
-    ! 3) Add all the given csi preceded by <ESC>[0m at the beginning of the string 
+    ! 3) Add all the given csi preceded by <ESC>[0m at the beginning of the string
     !    if it does not start by an ANSI sequence
     IF (INDEX(tmp,CHAR(27)//"[") /= 1) &
     tmp = str_add_to_csi(rcsi,attrs)//tmp
     ! Loops on new string and updates csi codes
-    j=1 
-    DO 
+    j=1
+    DO
       IF (j>LEN(tmp)) EXIT
       ! search for escape
@@ -1646,5 +1634,5 @@
     ENDDO
     IF (INDEX(str,rcsi,.true.) /= LEN(str)-3) str = str//rcsi
-    RETURN 
+    RETURN
   END FUNCTION add_csi
 
@@ -1652,10 +1640,10 @@
     !! Remove attributes to the given string
     !!
-    !! The function removes list of csi (ANSI escape sequences) from the given 
+    !! The function removes list of csi (ANSI escape sequences) from the given
     !! string and returns a copy of it.
     CHARACTER(len=*), INTENT(in)      :: string
-      !! Input string 
-    INTEGER, INTENT(in), DIMENSION(:) :: attrs 
-      !! A vector of integers with the code to remove. Each __attrs__ value should 
+      !! Input string
+    INTEGER, INTENT(in), DIMENSION(:) :: attrs
+      !! A vector of integers with the code to remove. Each __attrs__ value should
       !! refers to one of [[string_op(module):attributes(variable)]] values.
     CHARACTER(len=:), ALLOCATABLE :: str
@@ -1676,5 +1664,5 @@
     ! Loops on new string and updates csi codes
     j=1 ; csis=""
-    DO 
+    DO
       IF (j>LEN(tmp)) EXIT
       ! search for escape
@@ -1705,25 +1693,25 @@
     ! Add <ESC>[0m at the end of string if not found
     IF (INDEX(str,rcsi,.true.) /= LEN(str)-3) str = str//rcsi
-    ! resets all attributes if we only have <ESC>[0m in final list 
-    ok = tokenize(csis(1:LEN(csis)-1),tks,"|") 
+    ! resets all attributes if we only have <ESC>[0m in final list
+    ok = tokenize(csis(1:LEN(csis)-1),tks,"|")
     IF (ALL(tks == rcsi)) str = reset_csi(str)
     DEALLOCATE(tks)
-    RETURN 
+    RETURN
   END FUNCTION del_csi
 
   FUNCTION reset_csi(string) RESULT(str)
     !! Reset all csi codes of the string
-    !! 
+    !!
     !! The method removes __all__ the known escape sequences from the input string.
     CHARACTER(len=*), INTENT(in) :: string
       !! Input string
-    CHARACTER(len=:), ALLOCATABLE :: str 
+    CHARACTER(len=:), ALLOCATABLE :: str
       !! An allocatable string with the copy of input string stripped off csi codes.
     INTEGER :: j,iesc,im
     LOGICAL :: tcsi
     str = ""
-    IF (LEN(string) == 0) RETURN 
-    j=1 
-    DO 
+    IF (LEN(string) == 0) RETURN
+    j=1
+    DO
       IF (j>LEN(string)) EXIT
       ! search for escape
@@ -1748,10 +1736,10 @@
       j = j + iesc ; IF (tcsi) j=j+im
     ENDDO
-    RETURN 
+    RETURN
   END FUNCTION reset_csi
 
   FUNCTION is_csi(value) RESULT(yes)
     !! Check if string is a known csi
-    !! 
+    !!
     !! The function only check for known csi code which are defined in [[string_op(module):attributes(variable)]].
     CHARACTER(len=*), INTENT(in) :: value
@@ -1760,5 +1748,5 @@
       !! .true. if it is a known csi, .false. otherwise
     LOGICAL                                           :: ok
-    CHARACTER(len=:), ALLOCATABLE                     :: tmp 
+    CHARACTER(len=:), ALLOCATABLE                     :: tmp
     TYPE(words)                                       :: wtks
     CHARACTER(len=st_slen), DIMENSION(:), ALLOCATABLE :: stks
@@ -1783,5 +1771,5 @@
   FUNCTION str_add_to_csi(csi,list) RESULT(ncsi)
     !! Add a new list of codes to the input csi string
-    !! 
+    !!
     !! The method adds all the csi codes given in __list__ that are known by the module and not
     !! already present in the input csi.
@@ -1789,11 +1777,11 @@
       !! A string with the input csi. It __must__ begin with "<ESC>[" and ends with "m".
     INTEGER, INTENT(in), DIMENSION(:) :: list
-      !! A vector of integers with the csi code to add. Each value of __list__ should be one of 
-      !! [[string_op(module):attributes(variable)]] values. All unknown values are filtered out as well 
+      !! A vector of integers with the csi code to add. Each value of __list__ should be one of
+      !! [[string_op(module):attributes(variable)]] values. All unknown values are filtered out as well
       !! as csi code already present in input __csi__.
-    CHARACTER(len=:), ALLOCATABLE :: ncsi 
-      !! A new csi string or the input __csi__ if some "errors" occured (the input csi could not 
+    CHARACTER(len=:), ALLOCATABLE :: ncsi
+      !! A new csi string or the input __csi__ if some "errors" occured (the input csi could not
       !! be tokenized or none of __list__ values are left after filtering).
-    LOGICAL                                            :: ok 
+    LOGICAL                                            :: ok
     CHARACTER(len=st_slen), DIMENSION(:), ALLOCATABLE  :: tks
     CHARACTER(len=:), ALLOCATABLE                      :: tmp
@@ -1801,6 +1789,6 @@
     INTEGER                                            :: i,j,ni,no
     ! 1) Filter input list :
-    ! 1.1) Gets the list of current csi codes 
-    ncsi = csi(3:len(csi)-1) 
+    ! 1.1) Gets the list of current csi codes
+    ncsi = csi(3:len(csi)-1)
     ok = tokenize(ncsi,tks,"; ",merge=.true.)
     IF (.NOT.from_string(tks,nums)) THEN
@@ -1809,8 +1797,8 @@
     ENDIF
     DEALLOCATE(tks)
-    ! 1.2) Filter input list of new flags to add 
+    ! 1.2) Filter input list of new flags to add
     ! counts number of valid flags
-    j=0 
-    DO i=1,SIZE(list) 
+    j=0
+    DO i=1,SIZE(list)
       ! new flags must be in attributes but NOT in nums
       IF (ANY(attributes==list(i).AND..NOT.ANY(nums == list(i)))) j=j+1
@@ -1820,9 +1808,9 @@
     ni = SIZE(nums) ; no = j + ni
     ALLOCATE(zlist(no)) ; zlist(1:ni) = nums(:) ; j = ni
-    DO i=1,SIZE(list) 
+    DO i=1,SIZE(list)
       ! new flags must be in attributes but NOT in nums
       IF (ANY(attributes==list(i).AND..NOT.ANY(nums == list(i)))) THEN
         j=j+1 ; zlist(j) = list(i)
-      ENDIF 
+      ENDIF
     ENDDO
     DEALLOCATE(nums)
@@ -1831,5 +1819,5 @@
     ncsi = CHAR(27)//"[0;"
     DO i=1,no
-      ! ... So we get rid of all "0" flag in the list 
+      ! ... So we get rid of all "0" flag in the list
       IF (zlist(i) /= 0) THEN
         tmp = to_string(zlist(i))
@@ -1841,5 +1829,5 @@
       ENDIF
     ENDDO
-    ncsi = ncsi//"m" 
+    ncsi = ncsi//"m"
   END FUNCTION str_add_to_csi
 
@@ -1852,8 +1840,8 @@
       !! An intrinsic Fortran string with the input csi. It __must__ begin with "<ESC>[" and ends with "m".
     INTEGER, INTENT(in), DIMENSION(:) :: list
-      !! A vector of integers with the csi code to remove. Each value of __list__ should be one of 
+      !! A vector of integers with the csi code to remove. Each value of __list__ should be one of
       !! [[string_op(module):attributes(variable)]] values. All unknown values are filtered out.
-    CHARACTER(len=:), ALLOCATABLE :: ncsi 
-      !! A new csi string or the input __csi__ if some "errors" occured (the input csi could not 
+    CHARACTER(len=:), ALLOCATABLE :: ncsi
+      !! A new csi string or the input __csi__ if some "errors" occured (the input csi could not
       !! be tokenized or none of __list__ values are left after filtering).
     LOGICAL                                            :: ok
@@ -1862,9 +1850,9 @@
     INTEGER, DIMENSION(:), ALLOCATABLE                 :: nums
     INTEGER                                            :: i
-    ncsi = csi(3:len(csi)-1) 
-    ok = tokenize(ncsi,tks,"; ",merge=.true.) 
-    IF (.NOT.from_string(tks,nums)) THEN 
-      ncsi = csi 
-      RETURN 
+    ncsi = csi(3:len(csi)-1)
+    ok = tokenize(ncsi,tks,"; ",merge=.true.)
+    IF (.NOT.from_string(tks,nums)) THEN
+      ncsi = csi
+      RETURN
     ENDIF
     DEALLOCATE(tks)
@@ -1886,5 +1874,5 @@
     !! Get the position of the first known csi in string
     !!
-    !! The method searches for the first known csi in string. The csi must contain known codes 
+    !! The method searches for the first known csi in string. The csi must contain known codes
     !! (i.e. values of [[string_op(module):attributes(variable)]]).
     CHARACTER(len=*), INTENT(in) :: str    !! A string to search in
@@ -1894,5 +1882,5 @@
     pos = 0 ; length = 0
     ! we need at least 4 chars to create a csi
-    IF (LEN_TRIM(str) < 4) RETURN 
+    IF (LEN_TRIM(str) < 4) RETURN
     iesc = INDEX(str,CHAR(27))
     IF (iesc == 0) RETURN
@@ -1975,5 +1963,5 @@
     COMPLEX(kind=4), INTENT(out) :: value !! Output value
     LOGICAL :: ret                        !! Return status (.true. on success)
-    ! - LOCAL 
+    ! - LOCAL
     CHARACTER(len=:), ALLOCATABLE :: zs
     ret = .true. ; zs = remove_quotes(str)
@@ -2028,5 +2016,5 @@
     CHARACTER(len=*), INTENT(in), DIMENSION(:)           :: str   !! Vector of strings to convert
     REAL(kind=4), INTENT(out), DIMENSION(:), ALLOCATABLE :: value !! Vector of output values
-    LOGICAL :: ret                                                !! Return status (.true. on success) 
+    LOGICAL :: ret                                                !! Return status (.true. on success)
     INTEGER                       :: i,ns
     CHARACTER(len=:), ALLOCATABLE :: zs
@@ -2081,5 +2069,5 @@
 
   FUNCTION int2str_as(value) RESULT(str)
-    !! Convert an integer value to string (auto format / string result) 
+    !! Convert an integer value to string (auto format / string result)
     INTEGER, INTENT(in)           :: value !! Value to convert
     CHARACTER(len=:), ALLOCATABLE :: str   !! String with the converted value in output
@@ -2088,10 +2076,10 @@
     WRITE(str,*,iostat=err) value
     str = TRIM(ADJUSTL(str))
-    IF (err /= 0) str = '' 
+    IF (err /= 0) str = ''
     RETURN
   END FUNCTION int2str_as
 
   FUNCTION log2str_as(value) RESULT(str)
-    !! Convert a logical value to string (auto format / string result) 
+    !! Convert a logical value to string (auto format / string result)
     LOGICAL, INTENT(in)           :: value !! Value to convert
     CHARACTER(len=:), ALLOCATABLE :: str   !! String with the converted value in output
@@ -2105,5 +2093,5 @@
 
   FUNCTION real2str_as(value) RESULT(str)
-    !! Convert a simple precision floating point value to string (auto format / string result) 
+    !! Convert a simple precision floating point value to string (auto format / string result)
     REAL(kind=4), INTENT(in)      :: value !! Value to convert
     CHARACTER(len=:), ALLOCATABLE :: str   !! String with the converted value in output
@@ -2112,10 +2100,10 @@
     WRITE(str,*, IOSTAT = err) value
     str=TRIM(ADJUSTL(str))
-    IF (err /= 0)  str = '' 
+    IF (err /= 0)  str = ''
     RETURN
   END FUNCTION real2str_as
 
   FUNCTION dble2str_as(value) RESULT(str)
-    !! Convert a double precision floating point value to string (auto format / string result) 
+    !! Convert a double precision floating point value to string (auto format / string result)
     REAL(kind=8), INTENT(in)      :: value !! Value to convert
     CHARACTER(len=:), ALLOCATABLE :: str   !! String with the converted value in output
@@ -2124,10 +2112,10 @@
     WRITE(str,*, IOSTAT = err) value
     str=TRIM(ADJUSTL(str))
-    IF (err /= 0) str = '' 
+    IF (err /= 0) str = ''
     RETURN
   END FUNCTION dble2str_as
 
   FUNCTION cplx2str_as(value) RESULT(str)
-    !! Convert a complex value to string (auto format / string result) 
+    !! Convert a complex value to string (auto format / string result)
     COMPLEX(kind=4), INTENT(in)   :: value !! Value to convert
     CHARACTER(len=:), ALLOCATABLE :: str   !! String with the converted value in output
@@ -2137,10 +2125,10 @@
     WRITE(str, *, IOSTAT = err) value
     str = TRIM(ADJUSTL(str))
-    IF (err /= 0) str = '' 
+    IF (err /= 0) str = ''
     RETURN
   END FUNCTION cplx2str_as
 
   FUNCTION dcplx2str_as(value) RESULT(str)
-    !! Convert a complex value to string (auto format / string result) 
+    !! Convert a complex value to string (auto format / string result)
     COMPLEX(kind=8), INTENT(in)   :: value !! Value to convert
     CHARACTER(len=:), ALLOCATABLE :: str   !! String with the converted value in output
@@ -2150,10 +2138,10 @@
     WRITE(str, *, IOSTAT = err) value
     str = TRIM(ADJUSTL(str))
-    IF (err /= 0) str = '' 
+    IF (err /= 0) str = ''
     RETURN
   END FUNCTION dcplx2str_as
 
   FUNCTION int2str_fs(value, fmt) RESULT(str)
-    !! Convert an integer value to string (user format / string result) 
+    !! Convert an integer value to string (user format / string result)
     INTEGER, INTENT(in)           :: value !! Value to convert
     CHARACTER(len=*), INTENT(in)  :: fmt   !! String format
@@ -2163,10 +2151,10 @@
     WRITE(str, '('//fmt//')', IOSTAT = err) value
     str = TRIM(ADJUSTL(str))
-    IF (err /= 0) str = '' 
+    IF (err /= 0) str = ''
     RETURN
   END FUNCTION int2str_fs
 
   FUNCTION log2str_fs(value, fmt) RESULT(str)
-    !! Convert a logical value to string (user format / string result) 
+    !! Convert a logical value to string (user format / string result)
     LOGICAL, INTENT(in)           :: value !! Value to convert
     CHARACTER(len=*), INTENT(in)  :: fmt   !! String format
@@ -2176,10 +2164,10 @@
     WRITE(str, '('//fmt//')', IOSTAT = err) value
     str=TRIM(ADJUSTL(str))
-    IF (err /= 0) str = '' 
+    IF (err /= 0) str = ''
     RETURN
   END FUNCTION log2str_fs
 
   FUNCTION real2str_fs(value, fmt) RESULT(str)
-    !! Convert a simple precision floating point value to string (user format / string result) 
+    !! Convert a simple precision floating point value to string (user format / string result)
     REAL(kind=4), INTENT(in)      :: value !! Value to convert
     CHARACTER(len=*), INTENT(in)  :: fmt   !! String format
@@ -2189,10 +2177,10 @@
     WRITE(str, '('//fmt//')', IOSTAT = err) value
     str = TRIM(ADJUSTL(str))
-    IF (err /= 0) str = '' 
+    IF (err /= 0) str = ''
     RETURN
   END FUNCTION real2str_fs
 
   FUNCTION dble2str_fs(value, fmt) RESULT(str)
-    !! Convert a double precision floating point value to string (user format / string result) 
+    !! Convert a double precision floating point value to string (user format / string result)
     REAL(kind=8), INTENT(in)      :: value !! Value to convert
     CHARACTER(len=*), INTENT(in)  :: fmt   !! String format
@@ -2202,10 +2190,10 @@
     WRITE(str, '('//fmt//')', IOSTAT = err) value
     str = TRIM(ADJUSTL(str))
-    IF (err /= 0) str = '' 
+    IF (err /= 0) str = ''
     RETURN
   END FUNCTION dble2str_fs
 
   FUNCTION cplx2str_fs(value, fmt) RESULT(str)
-    !! Convert a complex value to string (user format / string result) 
+    !! Convert a complex value to string (user format / string result)
     COMPLEX(kind=4), INTENT(in)   :: value !! Value to convert
     CHARACTER(len=*), INTENT(in)  :: fmt   !! String format
@@ -2215,10 +2203,10 @@
     WRITE(str, '('//fmt//')', IOSTAT = err) value
     str = TRIM(ADJUSTL(str))
-    IF (err /= 0) str = '' 
+    IF (err /= 0) str = ''
     RETURN
   END FUNCTION cplx2str_fs
 
   FUNCTION dcplx2str_fs(value, fmt) RESULT(str)
-    !! Convert a complex value to string (user format / string result) 
+    !! Convert a complex value to string (user format / string result)
     COMPLEX(kind=8), INTENT(in)   :: value !! Value to convert
     CHARACTER(len=*), INTENT(in)  :: fmt   !! String format
@@ -2228,5 +2216,5 @@
     WRITE(str, '('//fmt//')', IOSTAT = err) value
     str = TRIM(ADJUSTL(str))
-    IF (err /= 0) str = '' 
+    IF (err /= 0) str = ''
     RETURN
   END FUNCTION dcplx2str_fs
@@ -2240,5 +2228,5 @@
     INTEGER, INTENT(in)           :: int2 !! Integer to concatenate
     CHARACTER(len=:), ALLOCATABLE :: str  !! Output string
-    ALLOCATE(CHARACTER(len=DIGITS(int2)) :: str) 
+    ALLOCATE(CHARACTER(len=DIGITS(int2)) :: str)
     WRITE(str,*) int2 ; str = TRIM(ADJUSTL(str))
     IF (LEN(str1) /= 0) str = str1//str
@@ -2251,8 +2239,8 @@
   FUNCTION fis_cat_int_inv(int2,str1) RESULT(str)
     !! Concatenate a fortran intrinsic string with a integer (reversed).
-    INTEGER, INTENT(in)           :: int2 !! Integer to concatenate 
+    INTEGER, INTENT(in)           :: int2 !! Integer to concatenate
     CHARACTER(len=*), INTENT(in)  :: str1 !! String to concatenate
     CHARACTER(len=:), ALLOCATABLE :: str  !! Output string
-    ALLOCATE(CHARACTER(len=DIGITS(int2)) :: str) 
+    ALLOCATE(CHARACTER(len=DIGITS(int2)) :: str)
     WRITE(str,*) int2 ; str = TRIM(ADJUSTL(str))
     IF (LEN(str1) /= 0) str = str//str1
@@ -2266,5 +2254,5 @@
     CHARACTER(len=:), ALLOCATABLE :: str   !! Output string
     CHARACTER(len=2) ::tmp
-    WRITE(tmp,*) bool2 
+    WRITE(tmp,*) bool2
     str=TRIM(ADJUSTL(tmp))
     IF (LEN(str1) /= 0) str = str1//str
@@ -2277,6 +2265,6 @@
     CHARACTER(len=*), INTENT(in)  :: str1    !! String to concatenate
     CHARACTER(len=:), ALLOCATABLE :: str     !! Output string
-    CHARACTER(len=2) ::tmp 
-    WRITE(tmp,*) bool2 
+    CHARACTER(len=2) ::tmp
+    WRITE(tmp,*) bool2
     str = TRIM(ADJUSTL(tmp))
     IF (LEN(str1) /= 0) str = str//str1
@@ -2289,7 +2277,7 @@
     REAL(kind=4), INTENT(in)      :: real2 !! Simple precision real to concatenate
     CHARACTER(len=:), ALLOCATABLE :: str     !! Output string
-    ALLOCATE(CHARACTER(len=DIGITS(real2)) :: str) 
+    ALLOCATE(CHARACTER(len=DIGITS(real2)) :: str)
     WRITE(str,*) real2 ; str = TRIM(ADJUSTL(str))
-    IF (LEN(str1) /= 0) str=str1//str 
+    IF (LEN(str1) /= 0) str=str1//str
     RETURN
   END FUNCTION fis_cat_real
@@ -2300,5 +2288,5 @@
     CHARACTER(len=*), INTENT(in)  :: str1  !! String to concatenate
     CHARACTER(len=:), ALLOCATABLE :: str   !! Output string
-    ALLOCATE(CHARACTER(len=DIGITS(real2)) :: str) 
+    ALLOCATE(CHARACTER(len=DIGITS(real2)) :: str)
     WRITE(str,*) real2  ; str = TRIM(ADJUSTL(str))
     IF (LEN(str1) /= 0) str = str//str1
@@ -2311,7 +2299,7 @@
     REAL(kind=8), INTENT(in)      :: double2 !! Double precision real to concatenate
     CHARACTER(len=:), ALLOCATABLE :: str     !! Output string
-    ALLOCATE(CHARACTER(len=DIGITS(double2)) :: str) 
+    ALLOCATE(CHARACTER(len=DIGITS(double2)) :: str)
     WRITE(str,*) double2 ; str = TRIM(ADJUSTL(str))
-    IF (LEN(str1) /= 0) str=str1//str 
+    IF (LEN(str1) /= 0) str=str1//str
     RETURN
   END FUNCTION fis_cat_double
@@ -2322,5 +2310,5 @@
     CHARACTER(len=*), INTENT(in)  :: str1    !! String to concatenate
     CHARACTER(len=:), ALLOCATABLE :: str     !! Output string
-    ALLOCATE(CHARACTER(len=DIGITS(double2)) :: str) 
+    ALLOCATE(CHARACTER(len=DIGITS(double2)) :: str)
     WRITE(str,*) double2  ; str = TRIM(ADJUSTL(str))
     IF (LEN(str1) /= 0) str = str//str1
@@ -2329,7 +2317,7 @@
 
   FUNCTION fis_cat_cplx(str1,cplx2) RESULT(str)
-    !! Concatenate a string with a complex 
-    CHARACTER(len=*), INTENT(in)  :: str1  !! String to concatenate 
-    COMPLEX(kind=4), INTENT(in)   :: cplx2 !! Complex value to concatenate 
+    !! Concatenate a string with a complex
+    CHARACTER(len=*), INTENT(in)  :: str1  !! String to concatenate
+    COMPLEX(kind=4), INTENT(in)   :: cplx2 !! Complex value to concatenate
     CHARACTER(len=:), ALLOCATABLE :: str   !! Output string
     INTEGER :: sl
@@ -2343,6 +2331,6 @@
   FUNCTION fis_cat_cplx_inv(cplx2,str1) RESULT(str)
     !! Concatenate a string with a complex (reversed)
-    COMPLEX(kind=4), INTENT(in)   :: cplx2 !! Complex value to concatenate 
-    CHARACTER(len=*), INTENT(in)  :: str1  !! String to concatenate 
+    COMPLEX(kind=4), INTENT(in)   :: cplx2 !! Complex value to concatenate
+    CHARACTER(len=*), INTENT(in)  :: str1  !! String to concatenate
     CHARACTER(len=:), ALLOCATABLE :: str   !! Output string
     INTEGER :: sl
@@ -2356,7 +2344,7 @@
 
   FUNCTION fis_cat_dcplx(str1,dcplx2) RESULT(str)
-    !! Concatenate a string with a double precision complex 
+    !! Concatenate a string with a double precision complex
     CHARACTER(len=*), INTENT(in)  :: str1   !! String to concatenate
-    COMPLEX(kind=8), INTENT(in)   :: dcplx2 !! Complex value to concatenate 
+    COMPLEX(kind=8), INTENT(in)   :: dcplx2 !! Complex value to concatenate
     CHARACTER(len=:), ALLOCATABLE :: str    !! Output string
     INTEGER :: sl
@@ -2370,5 +2358,5 @@
   FUNCTION fis_cat_dcplx_inv(dcplx2,str1) RESULT(str)
     !! Concatenate a string with a double precision complex (reversed)
-    COMPLEX(kind=8), INTENT(in)   :: dcplx2 !! Complex value to concatenate 
+    COMPLEX(kind=8), INTENT(in)   :: dcplx2 !! Complex value to concatenate
     CHARACTER(len=*), INTENT(in)  :: str1   !! string to concatenate
     CHARACTER(len=:), ALLOCATABLE :: str    !! Output string
@@ -2383,12 +2371,12 @@
 
   SUBROUTINE fis_affect_int(str,int)
-    !! Assignment subroutine (using intrinsic integer) 
+    !! Assignment subroutine (using intrinsic integer)
     CHARACTER(len=:), INTENT(out), ALLOCATABLE :: str !! Output string to be assigned
-    INTEGER, INTENT(in)                        :: int !! Input value to assign 
+    INTEGER, INTENT(in)                        :: int !! Input value to assign
     str = fis_cat_int('',int)
   END SUBROUTINE fis_affect_int
 
   SUBROUTINE fis_affect_bool(str,bool)
-    !! Assignment subroutine (using intrinsic logical) 
+    !! Assignment subroutine (using intrinsic logical)
     CHARACTER(len=:), INTENT(out), ALLOCATABLE :: str  !! Output string to be assigned
     LOGICAL, INTENT(in)                        :: bool !! Input value to assign
@@ -2397,5 +2385,5 @@
 
   SUBROUTINE fis_affect_real(str,float)
-    !! Assignment subroutine (using intrinsic real) 
+    !! Assignment subroutine (using intrinsic real)
     CHARACTER(len=:), INTENT(out), ALLOCATABLE :: str   !! Output string to be assigned
     REAL(kind=4), INTENT(in)                   :: float !! Input value to assign
